Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Interface Exp

All Superinterfaces:
  Expression, Serializable

All Known Implementing Classes:
  AndExpression, BindVariableAndExpression, BindVariableExpression, CompareEqualExpression, CompareExpression, ConstInstanceofExpression, ContainsExpression, ContainsKeyExpression, EmptyExpression, EndsWithExpression, EqualExpression, EqualTypeExpression, Extension, InExpression, InKeyExpression, InstanceofExpression, InSubQExpression, InValueExpression, IsEmptyExpression, IsNotEmptyExpression, MatchesExpression, NotContainsExpression, NotEqualExpression, NotEqualTypeExpression, NotExpression, OrExpression, StartsWithExpression, WhenCondition, WhenScalar

    interface Exp

extends Expression

An Expression represents a query ready for execution. Generally, it is a set of conditions that must be met for the query to be true.

Author:
  Abe White

Method Summary
`void` | `appendTo(Select sel, ExpContext ctx, ExpState state, SQLBuffer buf)` Append the SQL for this expression to the given buffer.
`ExpState` | `initialize(Select sel, ExpContext ctx, Map contains)` Initialize the expression.
`void` | `selectColumns(Select sel, ExpContext ctx, ExpState state, boolean pks)` Select just the columns for this expression.

Methods inherited from interface org.apache.openjpa.kernel.exps.Expression
`acceptVisit`

Method Detail

### initialize

    ExpState initialize(Select sel,
                        ExpContext ctx,
                        Map contains)

  Initialize the expression. This method should recursively initialize any sub-expressions or values.

  Parameters:
    `contains` - map of relation paths to the number of times the paths appear in a contains() expression; used to ensure paths used for contains() within the same AND expression used different aliases

### appendTo

    void appendTo(Select sel,
                  ExpContext ctx,
                  ExpState state,
                  SQLBuffer buf)

  Append the SQL for this expression to the given buffer. The SQL should optionally include any joins this expression needs.

### selectColumns

    void selectColumns(Select sel,
                       ExpContext ctx,
                       ExpState state,
                       boolean pks)

  Select just the columns for this expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.